[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetParentHandle

Gets the handle for the Parent control.

## Declaration

Source position: controls.pp line 2247

`protected function TWinControl.GetParentHandle: HWND;`

## Function result

Control or window handle that is the parent for the current control.

## Description

GetParentHandle is a HWND function used to get the handle for the Parent in the current control. The return value contains the handle for the TWinControl instance in Parent (when assigned). When unassigned, the handle in ParentWindow is used as the return value.

## See also

TControl.Parent |  | The control within which the control is shown.
TWinControl.ParentWindow |  | The window Handle for the Parent widget.